GNU Radio's SATELLITES Package

ra_context Struct Reference

`#include <ra_config.h>`

## Public Attributes
ra_index_t | ra_data_length
ra_index_t | ra_code_length
ra_index_t | ra_chck_length
uint16_t | ra_lfsr_masks [4]
uint8_t | ra_lfsr_highbit
ra_index_t | ra_lfsr_mask
ra_index_t | ra_lfsr_state
ra_index_t | ra_lfsr_offset
float | ra_dataword_gen [RA_MAX_DATA_LENGTH *RA_BITCOUNT]
float | ra_codeword_gen [RA_MAX_CODE_LENGTH *RA_BITCOUNT]
float | ra_forward_gen [RA_MAX_DATA_LENGTH *RA_BITCOUNT]
const ra_word_t * | ra_packet
ra_word_t | ra_nextword
uint8_t | ra_passno

## Member Data Documentation

## ◆ ra_chck_length

ra_index_t ra_context::ra_chck_length

## ◆ ra_code_length

ra_index_t ra_context::ra_code_length

## ◆ ra_codeword_gen

float ra_context::ra_codeword_gen[RA_MAX_CODE_LENGTH *RA_BITCOUNT]

## ◆ ra_data_length

ra_index_t ra_context::ra_data_length

## ◆ ra_dataword_gen

float ra_context::ra_dataword_gen[RA_MAX_DATA_LENGTH *RA_BITCOUNT]

## ◆ ra_forward_gen

float ra_context::ra_forward_gen[RA_MAX_DATA_LENGTH *RA_BITCOUNT]

## ◆ ra_lfsr_highbit

uint8_t ra_context::ra_lfsr_highbit

## ◆ ra_lfsr_mask

ra_index_t ra_context::ra_lfsr_mask

## ◆ ra_lfsr_masks

uint16_t ra_context::ra_lfsr_masks[4]

## ◆ ra_lfsr_offset

ra_index_t ra_context::ra_lfsr_offset

## ◆ ra_lfsr_state

ra_index_t ra_context::ra_lfsr_state

## ◆ ra_nextword

ra_word_t ra_context::ra_nextword

## ◆ ra_packet

const ra_word_t* ra_context::ra_packet

## ◆ ra_passno

uint8_t ra_context::ra_passno

The documentation for this struct was generated from the following file:

- ra_config.h